Subject: Re: Anyone got latex2html to work on cygwin?? Fatal (use l2hconf): l2hconf.pm
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Fri, 17 Dec 2004 02:35:42 -0800

On Fri, Dec 17, 2004 at 02:20:06AM -0800, bill BW wrote:
> 
> --- Yitzchak Scott-Thoennes wrote:
> 
> > On Thu, Dec 16, 2004 at 11:30:11PM -0800, bill BW
> > wrote:
> > > 
> > > I just tried the following:
> > > 
> > > - Uninstall perl from cygwin using cygwin
> > setup.exe
> > > - installed Active Perl 5.8 on window.
> > > - use the cygutils perl.exe stub as described on
> > >
> > http://cygutils.fruitbat.org/perl-contrib/index.html
> > > - Now when I try latex2html, I get other errors,
> > >   and when I try to build latex2html, I got
> > zillions
> > >   of errors. 
> > > - So, I removed Active Perl, and the perl.exe
> > stub,
> > >   it is just not working, and reinstalled 
> > >   cygwin perl again from setup.exe. And back to 
> > >   debugging this perl to see what I can find.
> > > 
> > > If I know at least anyone out there got latex2html
> > > working on cygwin, this will give me hope. 
> >
> 
>  
> > I got it working doing the following:
> >
> 
> great !
>  
> > Installed Pierre's netpbm from
> >
> ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Humblet_Pierre_A/V1.1/netpbm-10.15-cygwin-1.3-bin.tar.gz
> > following the instructions in the associated readme
> > file in the same
> > directory.
> >

(forgot to add: added /usr/local/bin/netpbm to my path)

> well, I also installed netpbm fine. This is what
> I used:
> 
> netpbm-10.15-cygwin-1.3-bin.tar.gz
> 
>  
> > Downloaded and tar xvfz'd latex2html from
> >
> http://saftsack.fs.uni-bayreuth.de/~latex2ht/current/latex2html-2002-2-1.tar.gz
> >
> 
> The above is the same latex2html as mine.
>  
> > Applied this patch:
> > --- L2hos.pm.orig       2002-11-29
> > 03:48:59.000000000 -0800
> > +++ L2hos.pm    2004-12-17 00:31:29.636116800 -0800
> > @@ -86,7 +86,7 @@
> >         } elsif ($OS eq 'MacOS') {
> >                 require L2hos::Mac;
> >                 'L2hos::Mac'
> > -       } elsif ($OS eq 'darwin') {
> > +       } elsif ($OS eq 'darwin' || $OS eq 'cygwin')
> > {
> >                 require L2hos::Unix;
> >                 'L2hos::Unix'
> >         } elsif ($OS eq 'MSWin32') {
> > 
> > so it wouldn't think this was dos :(
> 
> Ok, the instructions on this web page:
> 
> http://www.cs.utexas.edu/users/suvrit/work/l2h.html
> 
> says to replace 
> 
> "In the latex2html directory there is a file called 
>  L2hos.pm
>  Edit this file by replacing $^O with 'unix' "
> 
> I think what you did seems the same as this.

You might try what I did just in case.

> > 
> > ./configure
> > make
> > make install
> > 
> 
> Ok, so far the same as me.
> 
> > 
> > Then tried: latex2html
> > /usr/share/texmf/tex/latex/base/small2e.tex
> > 
> > and it worked fine.
> > 
> 
> strange. 
> 
> > I can't help but think something is messed up in
> > your perl
> > installation; did reinstalling help?  are you sure
> > perl is finding
> > /usr/bin/perl and /usr/bin/perl is the cygwin 5.8.5
> > perl?
> > 
> 
> Well, I simply use cygwin setup.exe to install perl,
> all went well. I am not doing anything else.
> 
> > What did you do to fix the problem with configure
> > not detecting cygwin?
> >
> 
> I just followed the instruntions on the above
> web site, and changed that one line to make
> it think it is unix OS.
> 
> can you please email me your l2hos.pm to try? 
> 
> what version of cygwin do you have? I have the
> latest and gratest, installed everything from
> scratch. took 4 hrs to do. is your perl the same 
> as mine?
> 
> $ perl --version

I think it invokes it as /usr/bin/perl; make sure you don't still have
something else installed there; what does /usr/bin/perl -v say?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/